GDCM 3.2.1

Classes | Namespaces | Macros
gdcmStaticAssert.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | gdcm::static_assert_test< x >
struct | gdcm::STATIC_ASSERTION_FAILURE< true >

## Namespaces
namespace | gdcm

## Macros
#define | GDCM_DO_JOIN(X, Y)
#define | GDCM_DO_JOIN2(X, Y)
#define | GDCM_JOIN(X, Y)
#define | GDCM_STATIC_ASSERT(B)
| The GDCM_JOIN + LINE is needed to create a uniq identifier.

## Macro Definition Documentation

## ◆ GDCM_DO_JOIN

#define GDCM_DO_JOIN | ( |  | X,
|  |  | Y )

Value:
GDCM_DO_JOIN2(X,Y)
GDCM_DO_JOIN2
#define GDCM_DO_JOIN2(X, Y)
Definition gdcmStaticAssert.h:33

## ◆ GDCM_DO_JOIN2

#define GDCM_DO_JOIN2 | ( |  | X,
|  |  | Y )

Value:
X##Y

## ◆ GDCM_JOIN

#define GDCM_JOIN | ( |  | X,
|  |  | Y )

Value:
GDCM_DO_JOIN( X, Y )
GDCM_DO_JOIN
#define GDCM_DO_JOIN(X, Y)
Definition gdcmStaticAssert.h:32

## ◆ GDCM_STATIC_ASSERT

#define GDCM_STATIC_ASSERT | ( |  | B | ) |

Value:
typedef ::gdcm::static_assert_test<\
sizeof(::gdcm::STATIC_ASSERTION_FAILURE< (bool)( B ) >)>\
GDCM_JOIN(gdcm_static_assert_typedef_, __LINE__)
gdcm::STATIC_ASSERTION_FAILURE
Definition gdcmStaticAssert.h:22
gdcm::static_assert_test
Definition gdcmStaticAssert.h:28

The GDCM_JOIN + LINE is needed to create a uniq identifier.